Bug 643045 - outdated autofs.schema
Summary: outdated autofs.schema
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-14 14:13 UTC by Jan Vcelak
Modified: 2013-03-04 01:27 UTC (History)
3 users (show)

Fixed In Version: openldap-2.4.23-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-01 14:14:13 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Vcelak 2010-10-14 14:13:24 UTC
Description of problem:

/etc/openldap/schema/redhat/autofs.schema: line 14 attributetype: AttributeType inappropriate matching rule: "caseExactMatch"

Schema from autofs package (/usr/share/doc/autofs-5.0.5/autofs.schema) works well.

Version-Release number of selected component (if applicable):
openldap-2.4.23-1.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. echo "include /etc/openldap/schema/redhat/autofs.schema" > /tmp/ldap.conf
2. mkdir /tmp/ldap_out
3. slaptest -f /tmp/ldap.conf -F /tmp/ldap_out
  
Actual results:
/etc/openldap/schema/redhat/autofs.schema: line 14 attributetype: AttributeType inappropriate matching rule: "caseExactMatch"

Expected results:
config file testing succeeded

Additional info:

Comment 1 Jan Vcelak 2010-11-01 09:16:37 UTC
The most rational solution is removing autofs.schema from openldap-servers. Everyone can always use the up-to-date version from autofs package.

Comment 2 Jan Vcelak 2010-11-01 14:14:13 UTC
Fixed in openldap-2.4.23-2.fc15, update for F14 is coming.

Comment 3 Fedora Update System 2010-11-01 14:15:12 UTC
openldap-2.4.23-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openldap-2.4.23-2.fc14

Comment 4 Fedora Update System 2010-11-18 11:20:21 UTC
openldap-2.4.23-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openldap-2.4.23-3.fc14

Comment 5 Fedora Update System 2010-11-22 22:10:15 UTC
openldap-2.4.23-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.